"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkTypo = void 0;
const mailcheck_1 = __importDefault(require("mailcheck"));
exports.checkTypo = (email, additionalTLDs) => __awaiter(void 0, void 0, void 0, function* () {
    return new Promise(r => {
        let topLevelDomains = undefined;
        if (additionalTLDs && additionalTLDs.length > 0) {
            topLevelDomains = [...mailcheck_1.default.defaultTopLevelDomains, ...additionalTLDs];
        }
        mailcheck_1.default.run({
            email,
            topLevelDomains: topLevelDomains,
            suggested: (suggestion) => {
                r(`Likely typo, suggested email: ${suggestion.full}`);
            },
            empty: function () {
                r();
            },
        });
    });
});
//# sourceMappingURL=typo.js.map